<div class="toolbar-fixed-top w-100 p-3">
    <div class="container">
        <div class="row">
            <div class="col-auto">
                <fa-icon [icon]="faArrowLeft"></fa-icon>
            </div>
            <div class="col search-input-parent px-0" (click)="hidePlaceholder()">
                <span class="placeholder" *ngIf="placeholder">
                    <fa-icon [icon]="faSearch"></fa-icon> Search
                </span>
                <input type="text" id="search-input" class="form-control search-input" #searchInput (focusout)="showPlaceholder(searchInput.value)" [(ngModel)]="searchText" />
            </div>
        </div>
        <div class="d-flex header mt-4">
            <h4>HOT DEALS</h4>
            <button class="ml-auto btn btn btn-outline-secondary btn-filter">Filters</button>
        </div>
    </div>
</div>
<div class="container list-container">
    <div class="row">
        <div class="col-6 col-lg-3 px-2" *ngFor="let product of products | filter:searchText" >
           <a [routerLink]="['/product', product.id]">
            <div class="watch-item mb-3">
               <div class="img-parent mb-2">
                    <img class="img-fluid" [lazyLoad]="product.pictures[0]"/>
               </div>
                <span class="rent d-block">Rent from ${{product.final_price}} /day</span>
                <span class="buy d-block">Buy as low as ${{product.final_price * 90 | currency : 'USD' : 'symbol' : '1.00'}}</span>
                <span class="model d-block">{{product.brand}} | {{product.model}}</span>
            </div>
           </a>
        </div>
    </div>
</div>

